%define upstream_name 	 Geo-IP
%define upstream_version 1.40

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Look up country by IP Address
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Geo/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
BuildRequires: geoip-devel
%description
This module uses a file based database. This database simply contains 
IP blocks as keys, and countries as values. This database should be 
more complete and accurate than reverse DNS lookups.
This module can be used to automatically select the geographically 
closest mirror, to analyze your web server logs to determine the 
countries of your visiters, for credit card fraud detection, and for 
software export controls.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%doc Changes INSTALL META.json META.yml README example
%{perl_vendorarch}/Geo
%{perl_vendorarch}/auto/Geo
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.400.0-3.mga3
+ Revision: 367632
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.400.0-2.mga3
+ Revision: 250644
- rebuild for perl 5.16
- update to 1.40

  + ahmad <ahmad>
    - Replace libgeoip-devel with geoip-devel

* Fri Jun 17 2011 jquelin <jquelin> 1.390.0-1.mga2
+ Revision: 108843
- update to 1.39

* Sun Jun 12 2011 sander85 <sander85> 1.380.0-3.mga2
+ Revision: 104311
- Rebuild for perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 1.380.0-2.mga1
+ Revision: 30448
- mageia rebuild
- imported package perl-Geo-IP

